#### PyKDE - Python Bindings for KDE

# class KParts.HistoryProvider |
Table of contents
Modules
kparts Classes
All Classes

Module | kparts
Class | KParts.HistoryProvider
Inherits | QObject

### methods

- HistoryProvider (parent = 0, name = 0)

  returns a HistoryProvider instance
  Argument | Type | Default
  --- | --- | ---
  parent | QObject | 0
  name | char | 0

- clear ()

  returns nothing

- cleared ()

  returns nothing

- contains (item)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  item | QString |

- insert (item)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  item | QString |

- remove (item)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  item | QString |

- self ()

  returns (KParts.HistoryProvider)
  static

- updated (items)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  items | QStringList |